Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.extension
Class ExtendedElementException

    java.lang.Object
      BirtException
          org.eclipse.birt.report.model.api.ModelException
              org.eclipse.birt.report.model.api.activity.SemanticException
                  org.eclipse.birt.report.model.api.extension.ExtendedElementException

    public class ExtendedElementException

extends SemanticException

Base class for all peer-provided exceptions. The easiest implementation is to simply wrap the specialized peer implementation inside one of these exceptions.

Field Summary
`static java.lang.String` | `LINE_NUMBER` Number of line.
`static java.lang.String` | `LOCALIZED_MESSAGE` Localized message.
`protected java.util.HashMap` | `properties` Hash map for the extended element exception properties
`static java.lang.String` | `SUB_EDITOR` The reference to the editor.For example graphic editor, xml source editor, script editor and so on.

Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`element`

Fields inherited from class org.eclipse.birt.report.model.api.ModelException
`PLUGIN_ID`

Constructor Summary
`ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, java.lang.String pluginId, java.lang.String errorCode, java.lang.Object[] args, java.util.ResourceBundle bundle)` Constructs a new model exception.
`ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, java.lang.String pluginId, java.lang.String errorCode, java.lang.Object[] args, java.util.ResourceBundle bundle, java.lang.Throwable cause)` Constructs a new model exception.
`ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, java.lang.String pluginId, java.lang.String errorCode, java.lang.Object[] args, java.lang.Throwable cause)` Constructs a new model exception.
`ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, java.lang.String pluginId, java.lang.String errorCode, java.lang.Object arg0, java.util.ResourceBundle bundle)` Constructs a new model exception.
`ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, java.lang.String pluginId, java.lang.String errorCode, java.lang.Object arg0, java.util.ResourceBundle bundle, java.lang.Throwable cause)` Constructs a new model exception.
`ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, java.lang.String pluginId, java.lang.String errorCode, java.util.ResourceBundle bundle)` Constructs a new model exception with no cause object.
`ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element, java.lang.String pluginId, java.lang.String errorCode, java.util.ResourceBundle bundle, java.lang.Throwable cause)` Constructs a new model exception.

Method Summary
`java.lang.String` | `getLocalizedMessage()` Returns localized message.
`java.lang.Object` | `getProperty(java.lang.String propName)` Returns extended element exception properties.
`void` | `setProperty(java.lang.String propName, java.lang.Object value)` Sets extended element exception properties.

Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`getElement, getElementName, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUB_EDITOR

    public static final java.lang.String SUB_EDITOR

  The reference to the editor.For example graphic editor, xml source editor, script editor and so on.

  See Also:
    Constant Field Values

### LINE_NUMBER

    public static final java.lang.String LINE_NUMBER

  Number of line.

  See Also:
    Constant Field Values

### LOCALIZED_MESSAGE

    public static final java.lang.String LOCALIZED_MESSAGE

  Localized message.

  See Also:
    Constant Field Values

### properties

    protected java.util.HashMap properties

  Hash map for the extended element exception properties

Constructor Detail

### ExtendedElementException

    public ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element,
                                    java.lang.String pluginId,
                                    java.lang.String errorCode,
                                    java.util.ResourceBundle bundle)

  Constructs a new model exception with no cause object.

  Parameters:
    `element` - The element with semantic error.
    `pluginId` - Returns the unique identifier of the plug-in associated with this exception
    `errorCode` - used to retrieve a piece of externalized message displayed to end user.
    `bundle` - the resourceBundle used to translate the message.

### ExtendedElementException

    public ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element,
                                    java.lang.String pluginId,
                                    java.lang.String errorCode,
                                    java.util.ResourceBundle bundle,
                                    java.lang.Throwable cause)

  Constructs a new model exception.

  Parameters:
    `element` - The element with semantic error.
    `pluginId` - Returns the unique identifier of the plug-in associated with this exception
    `errorCode` - used to retrieve a piece of externalized message displayed to end user.
    `bundle` - the resourceBundle used to translate the message.
    `cause` - the nested exception

### ExtendedElementException

    public ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element,
                                    java.lang.String pluginId,
                                    java.lang.String errorCode,
                                    java.lang.Object[] args,
                                    java.util.ResourceBundle bundle,
                                    java.lang.Throwable cause)

  Constructs a new model exception.

  Parameters:
    `element` - The element with semantic error.
    `pluginId` - Returns the unique identifier of the plug-in associated with this exception
    `errorCode` - used to retrieve a piece of externalized message displayed to end user.
    `bundle` - the resourceBundle used to translate the message.
    `args` - string arguments used to format error messages
    `cause` - the nested exception

### ExtendedElementException

    public ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element,
                                    java.lang.String pluginId,
                                    java.lang.String errorCode,
                                    java.lang.Object arg0,
                                    java.util.ResourceBundle bundle,
                                    java.lang.Throwable cause)

  Constructs a new model exception.

  Parameters:
    `element` - The element with semantic error.
    `pluginId` - Returns the unique identifier of the plug-in associated with this exception
    `errorCode` - used to retrieve a piece of externalized message displayed to end user.
    `bundle` - the resourceBundle used to translate the message.
    `cause` - the nested exception
    `arg0` - first argument used to format error messages

### ExtendedElementException

    public ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element,
                                    java.lang.String pluginId,
                                    java.lang.String errorCode,
                                    java.lang.Object[] args,
                                    java.util.ResourceBundle bundle)

  Constructs a new model exception.

  Parameters:
    `element` - The element with semantic error.
    `pluginId` - Returns the unique identifier of the plug-in associated with this exception
    `errorCode` - used to retrieve a piece of externalized message displayed to end user.
    `bundle` - the resourceBundle used to translate the message.
    `args` - string arguments used to format error messages

### ExtendedElementException

    public ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element,
                                    java.lang.String pluginId,
                                    java.lang.String errorCode,
                                    java.lang.Object arg0,
                                    java.util.ResourceBundle bundle)

  Constructs a new model exception.

  Parameters:
    `element` - The element with semantic error.
    `pluginId` - Returns the unique identifier of the plug-in associated with this exception
    `errorCode` - used to retrieve a piece of externalized message displayed to end user.
    `bundle` - the resourceBundle used to translate the message.
    `arg0` - first argument used to format error messages

### ExtendedElementException

    public ExtendedElementException(org.eclipse.birt.report.model.core.DesignElement element,
                                    java.lang.String pluginId,
                                    java.lang.String errorCode,
                                    java.lang.Object[] args,
                                    java.lang.Throwable cause)

  Constructs a new model exception.

  Parameters:
    `element` - The element with semantic error.
    `pluginId` - Returns the unique identifier of the plug-in associated with this exception
    `errorCode` - used to retrieve a piece of externalized message displayed to end user.
    `cause` - the nested exception
    `args` - string arguments used to format error messages

Method Detail

### setProperty

    public void setProperty(java.lang.String propName,
                            java.lang.Object value)

  Sets extended element exception properties.

  Parameters:
    `propName` - property name of extended element exception.
    `value` - value of extended element exception.

### getProperty

    public java.lang.Object getProperty(java.lang.String propName)

  Returns extended element exception properties.

  Parameters:
    `propName` - property name of extended element exception.
  Returns:
    value of extended element exception.

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Returns localized message.

  Returns:
    localized message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.